---
title: API Gateway
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# API Gateway

#### API GatewayConfigurations

##### [Get session identifier settings](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/configurations/methods/get)

api\_gateway.configurations.get(ConfigurationGetParams\*\*kwargs) -> [Configuration](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)>)

GET/zones/{zone\_id}/api\_gateway/configuration

##### [Update session identifier settings](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/configurations/methods/update)

api\_gateway.configurations.update(ConfigurationUpdateParams\*\*kwargs) -> [Configuration](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)>)

PUT/zones/{zone\_id}/api\_gateway/configuration

##### ModelsExpand Collapse

<details>

<summary>

class Configuration: …

</summary>

<details>

<summary>

auth\_id\_characteristics: List\[AuthIDCharacteristic]

</summary>

One of the following:

<details>

<summary>

class AuthIDCharacteristicAPIShieldAuthIDCharacteristic: …

Auth ID Characteristic

</summary>

name: str

The name of the characteristic field, i.e., the header or cookie name.

maxLength128

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

type: Literal\["header", "cookie"]

The type of characteristic.

</summary>

One of the following:

"header"

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

"cookie"

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%200%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class AuthIDCharacteristicAPIShieldAuthIDCharacteristicJWTClaim: …

Auth ID Characteristic extracted from JWT Token Claims

</summary>

name: str

Claim location expressed as <code>$(token_config_id):$(json_path)</code>, where <code>token_config_id</code> is the ID of the token configuration used in validating the JWT, and <code>json_path</code> is a RFC 9535 JSONPath (<a href="https://goessner.net/articles/JsonPath/">https://goessner.net/articles/JsonPath/</a>, <a href="https://www.rfc-editor.org/rfc/rfc9535.html">https://www.rfc-editor.org/rfc/rfc9535.html</a>). The JSONPath expression may be in dot or bracket notation, may only specify literal keys or array indexes, and must return a singleton value, which will be interpreted as a string.

maxLength128

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20name">Link to this property</a>

type: Literal\["jwt"]

The type of characteristic.

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%201%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics%20%3E%20(items)%20%3E%20(variant)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)%20%3E%20(property)%20auth_id_characteristics">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.configurations%20%3E%20(model)%20configuration%20%3E%20(schema)>)

#### API GatewayDiscovery

##### [Export discovered API operations as OpenAPI schemas](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/discovery/methods/get)

api\_gateway.discovery.get(DiscoveryGetParams\*\*kwargs) -> [DiscoveryGetResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/api\_gateway/discovery

##### ModelsExpand Collapse

<details>

<summary>

class DiscoveryOperation: …

</summary>

id: str

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

endpoint: str

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: <a href="https://developers.cloudflare.com/rules/normalization/how-it-works/">https://developers.cloudflare.com/rules/normalization/how-it-works/</a>.

formaturi-template

maxLength4096

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

host: str

RFC3986-compliant host.

formathostname

maxLength255

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

method: Literal\["GET", "POST", "HEAD", 6 more]

The HTTP method used to access the endpoint.

</summary>

One of the following:

"GET"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%200">Link to this property</a>

"POST"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%201">Link to this property</a>

"HEAD"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%202">Link to this property</a>

"OPTIONS"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%203">Link to this property</a>

"PUT"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%204">Link to this property</a>

"DELETE"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%205">Link to this property</a>

"CONNECT"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%206">Link to this property</a>

"PATCH"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%207">Link to this property</a>

"TRACE"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20method">Link to this property</a>

<details>

<summary>

origin: List\[Literal\["ML", "SessionIdentifier", "LabelDiscovery"]]

API discovery engine(s) that discovered this operation

</summary>

One of the following:

"ML"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20origin%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

"SessionIdentifier"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20origin%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

"LabelDiscovery"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20origin%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20origin">Link to this property</a>

<details>

<summary>

state: Literal\["review", "saved", "ignored"]

State of operation in API Discovery

- <code>review</code> - Operation is not saved into API Shield Endpoint Management
- <code>saved</code> - Operation is saved into API Shield Endpoint Management
- <code>ignored</code> - Operation is marked as ignored

</summary>

One of the following:

"review"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

"saved"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

"ignored"

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20state">Link to this property</a>

<details>

<summary>

features: Optional\[Features]

</summary>

<details>

<summary>

traffic\_stats: Optional\[FeaturesTrafficStats]

</summary>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(property)%20traffic_stats%20%3E%20(property)%20last_updated">Link to this property</a>

period\_seconds: int

The period in seconds these statistics were computed over

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(property)%20traffic_stats%20%3E%20(property)%20period_seconds">Link to this property</a>

requests: float

The average number of requests seen during this period

formatfloat

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(property)%20traffic_stats%20%3E%20(property)%20requests">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(property)%20traffic_stats">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)%20%3E%20(property)%20features">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)>)

<details>

<summary>

class DiscoveryGetResponse: …

</summary>

schemas: List\[object]

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas">Link to this property</a>

timestamp: datetime

formatdate-time

<a href="#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_get_response%20%3E%20(schema)%20%3E%20(property)%20timestamp">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_get_response%20%3E%20(schema)>)

#### API GatewayDiscoveryOperations

##### [List discovered web and API operations](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/discovery/subresources/operations/methods/list)

api\_gateway.discovery.operations.list(OperationListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[DiscoveryOperation](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.discovery%20%3E%20(model)%20discovery_operation%20%3E%20(schema)>)]

GET/zones/{zone\_id}/api\_gateway/discovery/operations

##### [Edit discovered web and API operations](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/discovery/subresources/operations/methods/bulk_edit)

api\_gateway.discovery.operations.bulk\_edit(OperationBulkEditParams\*\*kwargs) -> [OperationBulkEditResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.discovery.operations%20%3E%20(model)%20operation_bulk_edit_response%20%3E%20(schema)>)

PATCH/zones/{zone\_id}/api\_gateway/discovery/operations

##### ModelsExpand Collapse

<details>

<summary>

Dict\[str, OperationBulkEditResponseItem]

</summary>

<details>

<summary>

state: Optional\[Literal\["review", "ignored"]]

Mark state of operation in API Discovery

- <code>review</code> - Mark operation as for review
- <code>ignored</code> - Mark operation as ignored

</summary>

One of the following:

"review"

<a href="#(resource)%20api_gateway.discovery.operations%20%3E%20(model)%20operation_bulk_edit_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

"ignored"

<a href="#(resource)%20api_gateway.discovery.operations%20%3E%20(model)%20operation_bulk_edit_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.discovery.operations%20%3E%20(model)%20operation_bulk_edit_response%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20state">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.discovery.operations%20%3E%20(model)%20operation_bulk_edit_response%20%3E%20(schema)>)

#### API GatewayLabels

##### [List operation labels](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/methods/list)

api\_gateway.labels.list(LabelListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[LabelListResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)>)]

GET/zones/{zone\_id}/api\_gateway/labels

##### ModelsExpand Collapse

<details>

<summary>

class LabelListResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

mapped\_resources: Optional\[object]

Provides counts of what resources are linked to this label

<a href="#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)%20%3E%20(property)%20mapped_resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels%20%3E%20(model)%20label_list_response%20%3E%20(schema)>)

#### API GatewayLabelsUser

##### [Create user-defined operation labels](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/methods/bulk_create)

api\_gateway.labels.user.bulk\_create(UserBulkCreateParams\*\*kwargs) -> SyncSinglePage\[[UserBulkCreateResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)>)]

POST/zones/{zone\_id}/api\_gateway/labels/user

##### [Delete user-defined operation labels](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/methods/bulk_delete)

api\_gateway.labels.user.bulk\_delete(UserBulkDeleteParams\*\*kwargs) -> SyncSinglePage\[[UserBulkDeleteResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)>)]

DELETE/zones/{zone\_id}/api\_gateway/labels/user

##### [Get a user-defined operation label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/methods/get)

api\_gateway.labels.user.get(strname, UserGetParams\*\*kwargs) -> [UserGetResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/api\_gateway/labels/user/{name}

##### [Update a user-defined operation label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/methods/update)

api\_gateway.labels.user.update(strname, UserUpdateParams\*\*kwargs) -> [UserUpdateResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)>)

PUT/zones/{zone\_id}/api\_gateway/labels/user/{name}

##### [Edit a user-defined operation label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/methods/edit)

api\_gateway.labels.user.edit(strname, UserEditParams\*\*kwargs) -> [UserEditResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)>)

PATCH/zones/{zone\_id}/api\_gateway/labels/user/{name}

##### [Delete a user-defined operation label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/methods/delete)

api\_gateway.labels.user.delete(strname, UserDeleteParams\*\*kwargs) -> [UserDeleteResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)>)

DELETE/zones/{zone\_id}/api\_gateway/labels/user/{name}

##### ModelsExpand Collapse

<details>

<summary>

class UserBulkCreateResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_create_response%20%3E%20(schema)>)

<details>

<summary>

class UserBulkDeleteResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_bulk_delete_response%20%3E%20(schema)>)

<details>

<summary>

class UserGetResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

mapped\_resources: Optional\[object]

Provides counts of what resources are linked to this label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)%20%3E%20(property)%20mapped_resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_get_response%20%3E%20(schema)>)

<details>

<summary>

class UserUpdateResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_update_response%20%3E%20(schema)>)

<details>

<summary>

class UserEditResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_edit_response%20%3E%20(schema)>)

<details>

<summary>

class UserDeleteResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user%20%3E%20(model)%20user_delete_response%20%3E%20(schema)>)

#### API GatewayLabelsUserResources

#### API GatewayLabelsUserResourcesOperation

##### [Replace operations attached to a user-defined label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/user/subresources/resources/subresources/operation/methods/update)

api\_gateway.labels.user.resources.operation.update(strname, OperationUpdateParams\*\*kwargs) -> [OperationUpdateResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)>)

PUT/zones/{zone\_id}/api\_gateway/labels/user/{name}/resources/operation

##### ModelsExpand Collapse

<details>

<summary>

class OperationUpdateResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

mapped\_resources: Optional\[object]

Provides counts of what resources are linked to this label

<a href="#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20mapped_resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.user.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)>)

#### API GatewayLabelsManaged

##### [Get a managed operation label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/managed/methods/get)

api\_gateway.labels.managed.get(strname, ManagedGetParams\*\*kwargs) -> [ManagedGetResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/api\_gateway/labels/managed/{name}

##### ModelsExpand Collapse

<details>

<summary>

class ManagedGetResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

mapped\_resources: Optional\[object]

Provides counts of what resources are linked to this label

<a href="#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)%20%3E%20(property)%20mapped_resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.managed%20%3E%20(model)%20managed_get_response%20%3E%20(schema)>)

#### API GatewayLabelsManagedResources

#### API GatewayLabelsManagedResourcesOperation

##### [Replace operations attached to a managed label](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/labels/subresources/managed/subresources/resources/subresources/operation/methods/update)

api\_gateway.labels.managed.resources.operation.update(strname, OperationUpdateParams\*\*kwargs) -> [OperationUpdateResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)>)

PUT/zones/{zone\_id}/api\_gateway/labels/managed/{name}/resources/operation

##### ModelsExpand Collapse

<details>

<summary>

class OperationUpdateResponse: …

</summary>

created\_at: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

description: str

The description of the label

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

metadata: object

Metadata for the label

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

name: str

The name of the label

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

source: Literal\["user", "managed"]

- <code>user</code> - label is owned by the user
- <code>managed</code> - label is owned by cloudflare

</summary>

One of the following:

"user"

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%200">Link to this property</a>

"managed"

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20source%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20source">Link to this property</a>

mapped\_resources: Optional\[object]

Provides counts of what resources are linked to this label

<a href="#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)%20%3E%20(property)%20mapped_resources">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.labels.managed.resources.operation%20%3E%20(model)%20operation_update_response%20%3E%20(schema)>)

#### API GatewayOperations

##### [List web and API operations](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/operations/methods/list)

api\_gateway.operations.list(OperationListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[OperationListResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)>)]

GET/zones/{zone\_id}/api\_gateway/operations

##### [Get a web or API operation](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/operations/methods/get)

api\_gateway.operations.get(stroperation\_id, OperationGetParams\*\*kwargs) -> [OperationGetResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/api\_gateway/operations/{operation\_id}

##### [Create a web or API operation](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/operations/methods/create)

api\_gateway.operations.create(OperationCreateParams\*\*kwargs) -> [OperationCreateResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)>)

POST/zones/{zone\_id}/api\_gateway/operations/item

##### [Delete a web or API operation](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/operations/methods/delete)

api\_gateway.operations.delete(stroperation\_id, OperationDeleteParams\*\*kwargs) -> [OperationDeleteResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_delete_response%20%3E%20(schema)>)

DELETE/zones/{zone\_id}/api\_gateway/operations/{operation\_id}

##### [Create web or API operations](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/operations/methods/bulk_create)

api\_gateway.operations.bulk\_create(OperationBulkCreateParams\*\*kwargs) -> SyncSinglePage\[[OperationBulkCreateResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_bulk_create_response%20%3E%20(schema)>)]

POST/zones/{zone\_id}/api\_gateway/operations

##### [Delete web or API operations](https://developers.cloudflare.com/api/python/resources/api_gateway/subresources/operations/methods/bulk_delete)

api\_gateway.operations.bulk\_delete(OperationBulkDeleteParams\*\*kwargs) -> [OperationBulkDeleteResponse](<https://developers.cloudflare.com/api/python/resources/api_gateway#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_bulk_delete_response%20%3E%20(schema)>)

DELETE/zones/{zone\_id}/api\_gateway/operations

##### ModelsExpand Collapse

<details>

<summary>

class APIShield: …

</summary>

endpoint: str

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: <a href="https://developers.cloudflare.com/rules/normalization/how-it-works/">https://developers.cloudflare.com/rules/normalization/how-it-works/</a>.

formaturi-template

maxLength4096

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

host: str

RFC3986-compliant host.

formathostname

maxLength255

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

method: Literal\["GET", "POST", "HEAD", 6 more]

The HTTP method used to access the endpoint.

</summary>

One of the following:

"GET"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%200">Link to this property</a>

"POST"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%201">Link to this property</a>

"HEAD"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%202">Link to this property</a>

"OPTIONS"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%203">Link to this property</a>

"PUT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%204">Link to this property</a>

"DELETE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%205">Link to this property</a>

"CONNECT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%206">Link to this property</a>

"PATCH"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%207">Link to this property</a>

"TRACE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20method">Link to this property</a>

operation\_id: str

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)%20%3E%20(property)%20operation_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.operations%20%3E%20(model)%20api-shield%20%3E%20(schema)>)

<details>

<summary>

class OperationListResponse: …

</summary>

endpoint: str

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: <a href="https://developers.cloudflare.com/rules/normalization/how-it-works/">https://developers.cloudflare.com/rules/normalization/how-it-works/</a>.

formaturi-template

maxLength4096

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

host: str

RFC3986-compliant host.

formathostname

maxLength255

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

method: Literal\["GET", "POST", "HEAD", 6 more]

The HTTP method used to access the endpoint.

</summary>

One of the following:

"GET"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%200">Link to this property</a>

"POST"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%201">Link to this property</a>

"HEAD"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%202">Link to this property</a>

"OPTIONS"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%203">Link to this property</a>

"PUT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%204">Link to this property</a>

"DELETE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%205">Link to this property</a>

"CONNECT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%206">Link to this property</a>

"PATCH"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%207">Link to this property</a>

"TRACE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20method">Link to this property</a>

operation\_id: str

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20operation_id">Link to this property</a>

<details>

<summary>

features: Optional\[Features]

</summary>

One of the following:

<details>

<summary>

class FeaturesAPIShieldOperationFeatureThresholds: …

</summary>

<details>

<summary>

thresholds: Optional\[FeaturesAPIShieldOperationFeatureThresholdsThresholds]

</summary>

auth\_id\_tokens: Optional\[int]

The total number of auth-ids seen across this calculation.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20auth_id_tokens">Link to this property</a>

data\_points: Optional\[int]

The number of data points used for the threshold suggestion calculation.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20data_points">Link to this property</a>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20last_updated">Link to this property</a>

p50: Optional\[int]

The p50 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p50">Link to this property</a>

p90: Optional\[int]

The p90 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p90">Link to this property</a>

p99: Optional\[int]

The p99 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p99">Link to this property</a>

period\_seconds: Optional\[int]

The period over which this threshold is suggested.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20period_seconds">Link to this property</a>

requests: Optional\[int]

The estimated number of requests covered by these calculations.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20requests">Link to this property</a>

suggested\_threshold: Optional\[int]

The suggested threshold in requests done by the same auth\_id or period\_seconds.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20suggested_threshold">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureParameterSchemas: …

</summary>

<details>

<summary>

parameter\_schemas: FeaturesAPIShieldOperationFeatureParameterSchemasParameterSchemas

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

parameter\_schemas: Optional\[FeaturesAPIShieldOperationFeatureParameterSchemasParameterSchemasParameterSchemas]

An operation schema object containing a response.

</summary>

parameters: Optional\[List\[object]]

An array containing the learned parameter schemas.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameters">Link to this property</a>

responses: Optional\[object]

An empty response object. This field is required to yield a valid operation schema.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20responses">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameter_schemas">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureAPIRouting: …

</summary>

<details>

<summary>

api\_routing: Optional\[FeaturesAPIShieldOperationFeatureAPIRoutingAPIRouting]

API Routing settings on endpoint.

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202%20%3E%20(property)%20api_routing%20%3E%20(property)%20last_updated">Link to this property</a>

route: Optional\[str]

Target route.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202%20%3E%20(property)%20api_routing%20%3E%20(property)%20route">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202%20%3E%20(property)%20api_routing">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureConfidenceIntervals: …

</summary>

<details>

<summary>

confidence\_intervals: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervals]

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

suggested\_threshold: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThreshold]

</summary>

<details>

<summary>

confidence\_intervals: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervals]

</summary>

<details>

<summary>

p90: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP90]

Upper and lower bound for percentile estimate

</summary>

lower: Optional\[float]

Lower bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p90%20%3E%20(property)%20lower">Link to this property</a>

upper: Optional\[float]

Upper bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p90%20%3E%20(property)%20upper">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p90">Link to this property</a>

<details>

<summary>

p95: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP95]

Upper and lower bound for percentile estimate

</summary>

lower: Optional\[float]

Lower bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p95%20%3E%20(property)%20lower">Link to this property</a>

upper: Optional\[float]

Upper bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p95%20%3E%20(property)%20upper">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p95">Link to this property</a>

<details>

<summary>

p99: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP99]

Upper and lower bound for percentile estimate

</summary>

lower: Optional\[float]

Lower bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p99%20%3E%20(property)%20lower">Link to this property</a>

upper: Optional\[float]

Upper bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p99%20%3E%20(property)%20upper">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p99">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals">Link to this property</a>

mean: Optional\[float]

Suggested threshold.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20mean">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureSchemaInfo: …

</summary>

<details>

<summary>

schema\_info: Optional\[FeaturesAPIShieldOperationFeatureSchemaInfoSchemaInfo]

</summary>

<details>

<summary>

active\_schema: Optional\[FeaturesAPIShieldOperationFeatureSchemaInfoSchemaInfoActiveSchema]

Schema active on endpoint.

</summary>

id: Optional\[str]

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema%20%3E%20(property)%20id">Link to this property</a>

created\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema%20%3E%20(property)%20created_at">Link to this property</a>

name: Optional\[str]

Schema file name.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema">Link to this property</a>

<details>

<summary>

mitigation\_action: Optional\[Literal\["none", "log", "block"]]

Action taken on requests failing validation.

</summary>

One of the following:

"none"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action%20%3E%20(member)%200">Link to this property</a>

"log"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)%20%3E%20(property)%20features">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_list_response%20%3E%20(schema)>)

<details>

<summary>

class OperationGetResponse: …

</summary>

endpoint: str

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: <a href="https://developers.cloudflare.com/rules/normalization/how-it-works/">https://developers.cloudflare.com/rules/normalization/how-it-works/</a>.

formaturi-template

maxLength4096

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

host: str

RFC3986-compliant host.

formathostname

maxLength255

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

method: Literal\["GET", "POST", "HEAD", 6 more]

The HTTP method used to access the endpoint.

</summary>

One of the following:

"GET"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%200">Link to this property</a>

"POST"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%201">Link to this property</a>

"HEAD"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%202">Link to this property</a>

"OPTIONS"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%203">Link to this property</a>

"PUT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%204">Link to this property</a>

"DELETE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%205">Link to this property</a>

"CONNECT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%206">Link to this property</a>

"PATCH"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%207">Link to this property</a>

"TRACE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20method">Link to this property</a>

operation\_id: str

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20operation_id">Link to this property</a>

<details>

<summary>

features: Optional\[Features]

</summary>

One of the following:

<details>

<summary>

class FeaturesAPIShieldOperationFeatureThresholds: …

</summary>

<details>

<summary>

thresholds: Optional\[FeaturesAPIShieldOperationFeatureThresholdsThresholds]

</summary>

auth\_id\_tokens: Optional\[int]

The total number of auth-ids seen across this calculation.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20auth_id_tokens">Link to this property</a>

data\_points: Optional\[int]

The number of data points used for the threshold suggestion calculation.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20data_points">Link to this property</a>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20last_updated">Link to this property</a>

p50: Optional\[int]

The p50 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p50">Link to this property</a>

p90: Optional\[int]

The p90 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p90">Link to this property</a>

p99: Optional\[int]

The p99 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p99">Link to this property</a>

period\_seconds: Optional\[int]

The period over which this threshold is suggested.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20period_seconds">Link to this property</a>

requests: Optional\[int]

The estimated number of requests covered by these calculations.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20requests">Link to this property</a>

suggested\_threshold: Optional\[int]

The suggested threshold in requests done by the same auth\_id or period\_seconds.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20suggested_threshold">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureParameterSchemas: …

</summary>

<details>

<summary>

parameter\_schemas: FeaturesAPIShieldOperationFeatureParameterSchemasParameterSchemas

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

parameter\_schemas: Optional\[FeaturesAPIShieldOperationFeatureParameterSchemasParameterSchemasParameterSchemas]

An operation schema object containing a response.

</summary>

parameters: Optional\[List\[object]]

An array containing the learned parameter schemas.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameters">Link to this property</a>

responses: Optional\[object]

An empty response object. This field is required to yield a valid operation schema.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20responses">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20parameter_schemas">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureAPIRouting: …

</summary>

<details>

<summary>

api\_routing: Optional\[FeaturesAPIShieldOperationFeatureAPIRoutingAPIRouting]

API Routing settings on endpoint.

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202%20%3E%20(property)%20api_routing%20%3E%20(property)%20last_updated">Link to this property</a>

route: Optional\[str]

Target route.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202%20%3E%20(property)%20api_routing%20%3E%20(property)%20route">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202%20%3E%20(property)%20api_routing">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureConfidenceIntervals: …

</summary>

<details>

<summary>

confidence\_intervals: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervals]

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

suggested\_threshold: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThreshold]

</summary>

<details>

<summary>

confidence\_intervals: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervals]

</summary>

<details>

<summary>

p90: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP90]

Upper and lower bound for percentile estimate

</summary>

lower: Optional\[float]

Lower bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p90%20%3E%20(property)%20lower">Link to this property</a>

upper: Optional\[float]

Upper bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p90%20%3E%20(property)%20upper">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p90">Link to this property</a>

<details>

<summary>

p95: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP95]

Upper and lower bound for percentile estimate

</summary>

lower: Optional\[float]

Lower bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p95%20%3E%20(property)%20lower">Link to this property</a>

upper: Optional\[float]

Upper bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p95%20%3E%20(property)%20upper">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p95">Link to this property</a>

<details>

<summary>

p99: Optional\[FeaturesAPIShieldOperationFeatureConfidenceIntervalsConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP99]

Upper and lower bound for percentile estimate

</summary>

lower: Optional\[float]

Lower bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p99%20%3E%20(property)%20lower">Link to this property</a>

upper: Optional\[float]

Upper bound for percentile estimate

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p99%20%3E%20(property)%20upper">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20p99">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20confidence_intervals">Link to this property</a>

mean: Optional\[float]

Suggested threshold.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold%20%3E%20(property)%20mean">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals%20%3E%20(property)%20suggested_threshold">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203%20%3E%20(property)%20confidence_intervals">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%203">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureSchemaInfo: …

</summary>

<details>

<summary>

schema\_info: Optional\[FeaturesAPIShieldOperationFeatureSchemaInfoSchemaInfo]

</summary>

<details>

<summary>

active\_schema: Optional\[FeaturesAPIShieldOperationFeatureSchemaInfoSchemaInfoActiveSchema]

Schema active on endpoint.

</summary>

id: Optional\[str]

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema%20%3E%20(property)%20id">Link to this property</a>

created\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema%20%3E%20(property)%20created_at">Link to this property</a>

name: Optional\[str]

Schema file name.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20active_schema">Link to this property</a>

<details>

<summary>

mitigation\_action: Optional\[Literal\["none", "log", "block"]]

Action taken on requests failing validation.

</summary>

One of the following:

"none"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action%20%3E%20(member)%200">Link to this property</a>

"log"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action%20%3E%20(member)%201">Link to this property</a>

"block"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info%20%3E%20(property)%20mitigation_action">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204%20%3E%20(property)%20schema_info">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%204">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20features">Link to this property</a>

<details>

<summary>

schemas: Optional\[Schemas]

OpenAPI JSON schemas for an operation, including both user-uploaded and Cloudflare-learned schemas.

</summary>

<details>

<summary>

learned: Optional\[SchemasLearned]

An OpenAPI operation object fragment containing schema information for an operation. May include parameter definitions, request body specifications, and a component schema extension.

</summary>

parameters: Optional\[List\[Dict\[str, object]]]

OpenAPI parameter objects describing path, query, header, or cookie parameters.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas%20%3E%20(property)%20learned%20%3E%20(property)%20parameters">Link to this property</a>

request\_body: Optional\[Dict\[str, object]]

OpenAPI request body object describing the expected request payload.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas%20%3E%20(property)%20learned%20%3E%20(property)%20requestBody">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas%20%3E%20(property)%20learned">Link to this property</a>

<details>

<summary>

uploaded: Optional\[SchemasUploaded]

An OpenAPI operation object fragment containing schema information for an operation. May include parameter definitions, request body specifications, and a component schema extension.

</summary>

parameters: Optional\[List\[Dict\[str, object]]]

OpenAPI parameter objects describing path, query, header, or cookie parameters.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas%20%3E%20(property)%20uploaded%20%3E%20(property)%20parameters">Link to this property</a>

request\_body: Optional\[Dict\[str, object]]

OpenAPI request body object describing the expected request payload.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas%20%3E%20(property)%20uploaded%20%3E%20(property)%20requestBody">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas%20%3E%20(property)%20uploaded">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)%20%3E%20(property)%20schemas">Link to this property</a>

</details>

[Link to this property](<#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_get_response%20%3E%20(schema)>)

<details>

<summary>

class OperationCreateResponse: …

</summary>

endpoint: str

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: <a href="https://developers.cloudflare.com/rules/normalization/how-it-works/">https://developers.cloudflare.com/rules/normalization/how-it-works/</a>.

formaturi-template

maxLength4096

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20endpoint">Link to this property</a>

host: str

RFC3986-compliant host.

formathostname

maxLength255

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

last\_updated: datetime

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

method: Literal\["GET", "POST", "HEAD", 6 more]

The HTTP method used to access the endpoint.

</summary>

One of the following:

"GET"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%200">Link to this property</a>

"POST"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%201">Link to this property</a>

"HEAD"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%202">Link to this property</a>

"OPTIONS"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%203">Link to this property</a>

"PUT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%204">Link to this property</a>

"DELETE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%205">Link to this property</a>

"CONNECT"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%206">Link to this property</a>

"PATCH"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%207">Link to this property</a>

"TRACE"

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method%20%3E%20(member)%208">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20method">Link to this property</a>

operation\_id: str

UUID.

maxLength36

minLength36

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20operation_id">Link to this property</a>

<details>

<summary>

features: Optional\[Features]

</summary>

One of the following:

<details>

<summary>

class FeaturesAPIShieldOperationFeatureThresholds: …

</summary>

<details>

<summary>

thresholds: Optional\[FeaturesAPIShieldOperationFeatureThresholdsThresholds]

</summary>

auth\_id\_tokens: Optional\[int]

The total number of auth-ids seen across this calculation.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20auth_id_tokens">Link to this property</a>

data\_points: Optional\[int]

The number of data points used for the threshold suggestion calculation.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20data_points">Link to this property</a>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20last_updated">Link to this property</a>

p50: Optional\[int]

The p50 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p50">Link to this property</a>

p90: Optional\[int]

The p90 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p90">Link to this property</a>

p99: Optional\[int]

The p99 quantile of requests (in period\_seconds).

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20p99">Link to this property</a>

period\_seconds: Optional\[int]

The period over which this threshold is suggested.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20period_seconds">Link to this property</a>

requests: Optional\[int]

The estimated number of requests covered by these calculations.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20requests">Link to this property</a>

suggested\_threshold: Optional\[int]

The suggested threshold in requests done by the same auth\_id or period\_seconds.

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds%20%3E%20(property)%20suggested_threshold">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200%20%3E%20(property)%20thresholds">Link to this property</a>

</details>

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class FeaturesAPIShieldOperationFeatureParameterSchemas: …

</summary>

<details>

<summary>

parameter\_schemas: FeaturesAPIShieldOperationFeatureParameterSchemasParameterSchemas

</summary>

last\_updated: Optional\[datetime]

formatdate-time

<a href="#(resource)%20api_gateway.operations%20%3E%20(model)%20operation_create_response%20%3E%20(schema)%20%3E%20(property)%20features%20%3E%20(variant)%201%20%3E%20(property)%20parameter_schemas%20%3E%20(property)%20last_updated">Link to this property</a>

<details>

<summary>

parameter\_schemas: Optional\[FeaturesAPIShieldOperationFeatureParameterSchemasParameterSchemasParameterSchemas]

An operation schema object containing a response.

</summary>

parameters: Optional\[List\[object]]

[...]
